Problema con Atheros AR8161 al actualizar!

Imagen de Ecko
0 puntos

Hola gente! Aprovecho para presentarme! soy nuevo aqui. Y ademas para pedirles ayuda cn un problema. Resulta qe me arme una maquina la cual tiene una tarjeta de re Atheros AR8161. Instale ubuntu 12.04, pero al parecer los controladores de esta tarjeta no estan en esta version, entonces busqe y busque y encontre uno controlador llamado alx qe hicieron andar mi tarjeta en la sig pagina:
http://www.linuxfoundation.org/collaborate/workgroups/networking/alx
Despues de esto como podia conectarme a internet procedi a actualizar toooodo el sistema sin revisar nada. Y cuando reinicie despues de la actualizacion ya no funcionaba otra vez la tarjeta de red. :/ Quiero saber si de alguna forma puedo eliminar el controlador instalado. Xq probe reinstalar el driver alx pero no funciono! Gracias de antemano!! (:

Imagen de cuentos
+1
+1
-1

instalaste el driver para la tarjeta de red y te funciono.
Luego actualizaste el sistema y ya no funciona. (o sea no te conecta).
Si es correcto.
debe de ser que en la actualización, venia un kernel nuevo, y posiblemente este kernel igual no trae el "soporte" para esta tarjeta.
Puedes probar_
1- reiniciar la pc, y seleccionar el kernel anterior y miras si funciona la tarjeta.
2- en el kernel actual volver a instalar la tarjeta. (y recuerda que en nuevas actualizaciones de kernel, hacer el mismo procedimiento).

+1
+1
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de Ecko
+1
0
-1

Si, perfecto! entrando en el kernel anterior funciona, pero cuando entro desde el kernel actual no puedo instalar el driver, me da un error al ingresar el comando "make". Esto pasa al intentar instalar:
ecko@Ecko-PC:~$ cd /home/ecko/Escritorio/compat-drivers-2013-03-04-u/
ecko@Ecko-PC:~/Escritorio/compat-drivers-2013-03-04-u$ ./scripts/driver-select alx
Processing new driver-select request...
Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
Backup exists: drivers/net/ethernet/atheros/Makefile.bk
Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
ecko@Ecko-PC:~/Escritorio/compat-drivers-2013-03-04-u$ make
make -C /lib/modules/3.2.0-51-generic/build M=/home/ecko/Escritorio/compat-drivers-2013-03-04-u modules
make[1]: se ingresa al directorio «/usr/src/linux-headers-3.2.0-51-generic»
CC [M] /home/ecko/Escritorio/compat-drivers-2013-03-04-u/compat/main.o
In file included from /home/ecko/Escritorio/compat-drivers-2013-03-04-u/include/linux/compat-2.6.h:71:0,
from :0:
/home/ecko/Escritorio/compat-drivers-2013-03-04-u/include/linux/compat-3.8.h:49:32: error: redefinición de ‘kref_get_unless_zero’
include/linux/kref.h:47:32: nota: la definición previa de ‘kref_get_unless_zero’ estaba aquí
make[3]: *** [/home/ecko/Escritorio/compat-drivers-2013-03-04-u/compat/main.o] Error 1
make[2]: *** [/home/ecko/Escritorio/compat-drivers-2013-03-04-u/compat] Error 2
make[1]: *** [_module_/home/ecko/Escritorio/compat-drivers-2013-03-04-u] Error 2
make[1]: se sale del directorio «/usr/src/linux-headers-3.2.0-51-generic»
make: *** [modules] Error 2

+1
0
-1
Imagen de Ecko
+1
0
-1

Se puede de alguna forma eliminar el kernel actual para volver al anterior??

+1
0
-1
Imagen de cuentos
+1
+1
-1

pero mejor trata de compilar para el nuevo kernel.
El error que te da, no lo tomes en cuenta, en una compilacion de un driver me dio un errro parecido, pera al hacer sudo make install, es donde tienes que ver que no te de error.

+1
+1
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de Ecko
+1
0
-1

Esta bien! voy a tratar de aprender a compilar! xq intente instalar sin tomar en cuenta el error qe me da al acer "make" pero cuando ago "sudo make install" no instala nada... :/ me podrias dar un consejo o algo para compilar el driver? Gracias!! (:

+1
0
-1
Imagen de cuentos
+1
+1
-1

al parecer sdolo es cargar el modulo, prueba con este comando:
sudo modprobe alx
Y mira si te da un error, si no reinicias y prueba.

+1
+1
-1

(recordatorio) -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
Si el problema se soluciono, edita el 1° hilo, y agrega (Solucionado), para tener el foro mas ordenado.
Y finaliza poniendo la solución para que sirva para otros Usuarios.
Twitter @mcuentos

Imagen de Ecko
+1
0
-1

Amigo muchas gracias por toda tu ayuda, pero no he podido instalar el driver. Mi problema es qe no soy un usuario muy experto en este sistema! jeje.. Creo qe voy a probar actualizar a la version 13.04 de ubuntu y si eso no funsiona voy a reinstalar 12.04 y asi poder instalar el driver...

+1
0
-1